<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.3
Name: Verletzungsartenverzeichnis
Description: Liegt eine Verletzung nach dem Verletzungsartenverzeichnis vor?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107">
   <title>Verletzungsartenverzeichnis</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]
Item: (Verletzungsartenverzeichnis )
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]
Item: (Verletzungsartenverzeichnis )
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]"
         id="d42e7113-false-d22889e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Verletzungsartenverzeichnis ): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="string(@moodCode) = ('EVN')">(Verletzungsartenverzeichnis ): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']) &gt;= 1">(Verletzungsartenverzeichnis ): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']) &lt;= 1">(Verletzungsartenverzeichnis ): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="count(hl7:code[(@code = 'VAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3') or (@code = 'SAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3')]) &gt;= 1">(Verletzungsartenverzeichnis ): Element hl7:code[(@code = 'VAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3') or (@code = 'SAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="count(hl7:code[(@code = 'VAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3') or (@code = 'SAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3')]) &lt;= 1">(Verletzungsartenverzeichnis ): Element hl7:code[(@code = 'VAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3') or (@code = 'SAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="count(hl7:text) &lt;= 1">(Verletzungsartenverzeichnis ): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Verletzungsartenverzeichnis ): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Verletzungsartenverzeichnis ): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Verletzungsartenverzeichnis ): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Verletzungsartenverzeichnis ): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']
Item: (Verletzungsartenverzeichnis )
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']"
         id="d42e7119-false-d22952e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Verletzungsartenverzeichnis ): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.3')">(Verletzungsartenverzeichnis ): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.3' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:code[(@code = 'VAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3') or (@code = 'SAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3')]
Item: (Verletzungsartenverzeichnis )
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:code[(@code = 'VAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3') or (@code = 'SAV' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.3')]"
         id="d42e7124-false-d22967e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(Verletzungsartenverzeichnis ): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="@nullFlavor or (@code='VAV' and @codeSystem='1.2.276.0.76.3.1.261.1.5.3' and @displayName='VAV') or (@code='SAV' and @codeSystem='1.2.276.0.76.3.1.261.1.5.3' and @displayName='SAV')">(Verletzungsartenverzeichnis ): Der Elementinhalt MUSS einer von 'code 'VAV' codeSystem '1.2.276.0.76.3.1.261.1.5.3' displayName='VAV' oder code 'SAV' codeSystem '1.2.276.0.76.3.1.261.1.5.3' displayName='SAV'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:text
Item: (Verletzungsartenverzeichnis )
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:text"
         id="d42e7131-false-d22985e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Verletzungsartenverzeichnis ): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:statusCode[@code = 'completed']
Item: (Verletzungsartenverzeichnis )
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:statusCode[@code = 'completed']"
         id="d42e7134-false-d22996e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(Verletzungsartenverzeichnis ): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="@nullFlavor or (@code='completed')">(Verletzungsartenverzeichnis ): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.3
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Verletzungsartenverzeichnis )
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.3']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e7139-false-d23017e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Verletzungsartenverzeichnis ): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.3-2017-11-16T221107.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.261.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-1.2.276.0.76.3.1.261.1.11.3-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Verletzungsartenverzeichnis ): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.261.1.11.1 Verletzungsartenverzeichnis (VAV) (DYNAMIC) oder 1.2.276.0.76.3.1.261.1.11.3 Schwerstverletzungsartenverzeichnis (SAV) (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
