<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.3.12
Name: Berufliche Wiedereingliederung
Description: 
                 
                 
                     
                         
                     
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954">
   <title>Berufliche Wiedereingliederung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]
Item: (BeruflicheWiedereingliederung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]
Item: (BeruflicheWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]"
         id="d42e4932-false-d19307e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(BeruflicheWiedereingliederung): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']) &gt;= 1">(BeruflicheWiedereingliederung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']) &lt;= 1">(BeruflicheWiedereingliederung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="count(hl7:id) &lt;= 1">(BeruflicheWiedereingliederung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="count(hl7:code[(@code = '84397-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(BeruflicheWiedereingliederung): Element hl7:code[(@code = '84397-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="count(hl7:title) &lt;= 1">(BeruflicheWiedereingliederung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="count(hl7:text) &lt;= 1">(BeruflicheWiedereingliederung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']
Item: (BeruflicheWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']"
         id="d42e4936-false-d19369e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(BeruflicheWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.3.12')">(BeruflicheWiedereingliederung): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.3.12' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:id
Item: (BeruflicheWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:id"
         id="d42e4941-false-d19383e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(BeruflicheWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:code[(@code = '84397-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (BeruflicheWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:code[(@code = '84397-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e4943-false-d19394e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(BeruflicheWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="@nullFlavor or (@code='84397-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Occupational therapy Hospital Note')">(BeruflicheWiedereingliederung): Der Elementinhalt MUSS einer von 'code '84397-9' codeSystem '2.16.840.1.113883.6.1' displayName='Occupational therapy Hospital Note'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:title
Item: (BeruflicheWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:title"
         id="d42e4948-false-d19410e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(BeruflicheWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:text
Item: (BeruflicheWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:text"
         id="d42e4951-false-d19420e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(BeruflicheWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]
Item: (BeruflicheWiedereingliederung)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="string(@typeCode) = ('COMP')">(BeruflicheWiedereingliederung): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.12
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]
Item: (BeruflicheWiedereingliederung)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.12']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.3.12-2018-08-14T101954.html"
              test="string(@typeCode) = ('COMP')">(BeruflicheWiedereingliederung): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
